org.apache.ignite.internal.processors.closure

## Interface AffinityTask

    public interface AffinityTask

Affinity mapped task.

### Method Summary

Methods
`Collection<String>` `affinityCacheNames()`
`Object` `affinityKey()` Deprecated.
`int` `partition()`
`AffinityTopologyVersion` `topologyVersion()`

### Method Detail

#### affinityKey

    @Deprecated
    @Nullable
    Object affinityKey()

Deprecated.

Returns:
  Affinity key.

#### partition

    int partition()

Returns:
  Partition.

#### affinityCacheNames

    @Nullable
    Collection<String> affinityCacheNames()

Returns:
  Affinity cache name.

#### topologyVersion

    @Nullable
    AffinityTopologyVersion topologyVersion()

Returns:
  Affinity topology version.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017